# Model Files

This folder should hold serialized model files (for data science projects). If the model files are large, you can consider the options for handling data discussed in [`/data`](../data/). By including the model files in the repository, it's easier to both validate the model training process and build a self-contained, ready-to-deploy inference solution. The format of the model file can be varied- anything from a [pickled](https://docs.python.org/3/library/pickle.html) `xgboost` model, or a `.RData` random forest, or even a YAML file with a simple dictionary of regression weights.

| :information_source: Model files should have a unique identifier and include metadata |
| --- |
| It is important to track the of metadata of each model in Git along with the code that trained it. For example: the date/time the model was trained, out of sample evaluation metrics, hyper parameters, other training parameters like number of training iterations, random seeds, and the training data partition and version that was used for the ABT. If your model's serialization format doesn't support this metadata, track it in a "companion" file (like JSON or YAML) that is next to each serialized model or in a overall spreadsheet/"log" of all models. |